from datetime import datetime
import re

def is_valid_filename(file_name: str) -> bool:
    pattern = r'^.*\..*$'
    if re.match(pattern, file_name):
        return True
    else:
        raise False
    
def is_valid_datetime_format(date_str: str, format='%Y-%m-%d %H:%M:%S') -> bool:
    try:
        datetime.strptime(date_str, format)
        return True
    except ValueError:
        raise ValueError(f"Incorrect data format, should be {format}")